-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 02, 2024 at 04:28 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_fire_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblbackup`
--

CREATE TABLE `tblbackup` (
  `id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `backup_file` varchar(255) NOT NULL,
  `backup_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblbarangay`
--

CREATE TABLE `tblbarangay` (
  `location_id` int(11) NOT NULL,
  `barangay` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblfirecontact`
--

CREATE TABLE `tblfirecontact` (
  `contact_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `phone_number` varchar(255) NOT NULL,
  `facebook_page` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblfiresafetyinfo`
--

CREATE TABLE `tblfiresafetyinfo` (
  `resource_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblfiretype`
--

CREATE TABLE `tblfiretype` (
  `fire_type_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `description` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblincident`
--

CREATE TABLE `tblincident` (
  `incident_id` int(11) NOT NULL,
  `location_id` int(11) DEFAULT NULL,
  `complete_address` varchar(255) NOT NULL,
  `fire_type_id` int(11) DEFAULT NULL,
  `reported_date` datetime NOT NULL,
  `arrival_date` datetime DEFAULT NULL,
  `responded_by` text DEFAULT NULL,
  `time_fire_out` datetime DEFAULT NULL,
  `estimated_damage` decimal(10,2) DEFAULT NULL,
  `fatality_casualty` int(11) DEFAULT NULL,
  `injured` int(11) DEFAULT NULL,
  `number_establishment` int(11) DEFAULT NULL,
  `number_family_affected` int(11) DEFAULT NULL,
  `no_liters_consumed` decimal(10,2) DEFAULT NULL,
  `remarks` text DEFAULT NULL,
  `documentation` varchar(255) DEFAULT NULL,
  `latitude` decimal(9,6) DEFAULT NULL,
  `longitude` decimal(9,6) DEFAULT NULL,
  `encoded_by` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbluser`
--

CREATE TABLE `tbluser` (
  `user_id` int(11) NOT NULL,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `user_type` enum('admin','user') NOT NULL,
  `complete_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tblbackup`
--
ALTER TABLE `tblbackup`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `tblbarangay`
--
ALTER TABLE `tblbarangay`
  ADD PRIMARY KEY (`location_id`);

--
-- Indexes for table `tblfirecontact`
--
ALTER TABLE `tblfirecontact`
  ADD PRIMARY KEY (`contact_id`);

--
-- Indexes for table `tblfiresafetyinfo`
--
ALTER TABLE `tblfiresafetyinfo`
  ADD PRIMARY KEY (`resource_id`);

--
-- Indexes for table `tblfiretype`
--
ALTER TABLE `tblfiretype`
  ADD PRIMARY KEY (`fire_type_id`);

--
-- Indexes for table `tblincident`
--
ALTER TABLE `tblincident`
  ADD PRIMARY KEY (`incident_id`),
  ADD KEY `location_id` (`location_id`),
  ADD KEY `fire_type_id` (`fire_type_id`),
  ADD KEY `encoded_by` (`encoded_by`);

--
-- Indexes for table `tbluser`
--
ALTER TABLE `tbluser`
  ADD PRIMARY KEY (`user_id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tblbackup`
--
ALTER TABLE `tblbackup`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblbarangay`
--
ALTER TABLE `tblbarangay`
  MODIFY `location_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblfirecontact`
--
ALTER TABLE `tblfirecontact`
  MODIFY `contact_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblfiresafetyinfo`
--
ALTER TABLE `tblfiresafetyinfo`
  MODIFY `resource_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblfiretype`
--
ALTER TABLE `tblfiretype`
  MODIFY `fire_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblincident`
--
ALTER TABLE `tblincident`
  MODIFY `incident_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbluser`
--
ALTER TABLE `tbluser`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tblbackup`
--
ALTER TABLE `tblbackup`
  ADD CONSTRAINT `tblbackup_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `tbluser` (`user_id`);

--
-- Constraints for table `tblincident`
--
ALTER TABLE `tblincident`
  ADD CONSTRAINT `tblincident_ibfk_1` FOREIGN KEY (`location_id`) REFERENCES `tblbarangay` (`location_id`),
  ADD CONSTRAINT `tblincident_ibfk_2` FOREIGN KEY (`fire_type_id`) REFERENCES `tblfiretype` (`fire_type_id`),
  ADD CONSTRAINT `tblincident_ibfk_3` FOREIGN KEY (`encoded_by`) REFERENCES `tbluser` (`user_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
